%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-argparse
Version:    1.0.3
Release:    %mkrel 3
Summary:    A native port of Python's argparse, an options parsing library
License:    MIT
Group:      System/Libraries
URL:        https://github.com/nodeca/argparse
Source0:    http://registry.npmjs.org/argparse/-/argparse-%{version}.tgz
# The test/ directory is not included in the npm tarball.
# Source{1,2} is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh
Patch0:     nodejs-argparse-1.0.3-fix-tests-for-nodejs-6.5+.patch

BuildArch:  noarch
ExclusiveArch: %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(underscore)
BuildRequires:  npm(underscore.string)
BuildRequires:  npm(sprintf-js)
BuildRequires:  npm(lodash)
%endif

%description
This is a native port of Python's argparse, an options parsing library.
It's a full port, except some very rare options. Method names have been
changed to CamelCase.


%prep
%setup -q -n package
%setup -q -D -T -a 1 -n package
%autopatch -p1
chmod -x examples/*.js

%nodejs_fixdep underscore '~1.4'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/argparse
cp -pr package.json *.js lib/ \
    %{buildroot}%{nodejs_sitelib}/argparse

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
NODE_ENV=test %{nodejs_sitelib}/mocha/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc CHANGELOG.md README.md examples/
%license LICENSE
%{nodejs_sitelib}/argparse



%changelog
* Sun Dec 04 2016 daviddavid <daviddavid> 1.0.3-3.mga6
+ Revision: 1072401
- add upstream patch to fix testsuite under Node.js >= 6.5.0

* Wed May 25 2016 neoclust <neoclust> 1.0.3-2.mga6
+ Revision: 1018361
- Enable tests

* Thu May 19 2016 neoclust <neoclust> 1.0.3-1.mga6
+ Revision: 1016853
- New version 1.0.3

* Mon Feb 08 2016 umeabot <umeabot> 0.1.15-2.mga6
+ Revision: 950440
- Mageia 6 Mass Rebuild

* Wed Oct 29 2014 tv <tv> 0.1.15-1.mga5
+ Revision: 794479
- imported package nodejs-argparse


* Wed Oct 29 2014 Thierry Vignaud <tv@mageia.org> 0.1.15-1.mga5
- import from FC

* Thu May 08 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.15-7
- add logic for building on EL6

* Sat Apr 26 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.15-6
- fix version of npm(underscore) dependency

* Fri Apr 18 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.15-5
- fix version of npm(underscore) dependency

* Sun Jan 19 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.15-4
- fix underscore for 1.5.1

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
- also because last EL6 build was garbage collected

* Sat Jul 06 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.15-2
- improve %%description
- add ExclusiveArch
- use %%nodejs_symlink_deps --check
- BR on nodejs-packaging instead of nodejs-packaging

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.15-1
- initial package
